> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a metric

> Remove a metric



## OpenAPI

````yaml delete /metrics
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /metrics:
    delete:
      tags:
        - Metrics
      summary: Delete a metric
      description: Remove a metric
      operationId: deleteMetric
      parameters:
        - name: metric_id
          in: query
          required: true
          schema:
            type: string
            description: Unique identifier of the metric
      responses:
        '200':
          description: Metric deleted successfully
      x-codeSamples:
        - lang: python
          label: deleteMetric
          source: |-
            import honeyhive

            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )


            res = s.metrics.delete_metric(metric_id='<value>')

            if res is not None:
                # handle response
                pass
        - lang: typescript
          label: deleteMetric
          source: >-
            import { HoneyHive } from "honeyhive";

            import { DeleteMetricRequest } from
            "honeyhive/dist/models/operations";


            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });
            const metricId: string = "<value>";

              const res = await sdk.metrics.deleteMetric(metricId);

              if (res.statusCode == 200) {
                // handle response
              }
            }


            run();
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````